//var $ = require('jquery');
//global.jQuery = require('jquery');

// Bootstrap
import 'bootstrap';

import './components/aos';
import './components/swiper';
import './components/CountUp';
import '@fancyapps/fancybox';


// theme misc
import './misc';

$(document).ready(function() {
	onloadmethod();	
	
	$(document).on('click', '#menuBtn', function(e) {
        e.stopPropagation();
        $('#header').toggleClass('open');
        $('#swipeNav').toggleClass('open');
        $('body').toggleClass('overf');
		$(this).toggleClass("open");

		$('#header').removeClass('primary');
		$('#menuBtn').removeClass('white');
		$('.header-nav li.has-dropdown a').removeClass('open');
		$('.dropdownNav').removeClass('open');
    });
	
		
	$(".top_nav ul").parent().addClass("has-dropdown");
	$(".top_nav li.has-dropdown > a").append("<span class='arrow'></span>");
	$(document).on('click', '.top_nav li.has-dropdown > a', function(e) {		
		e.stopPropagation();	
		if ($(this).parent().hasClass('open')) {
			$(this).parent().removeClass("open")
		}else{
			$(this).parent().addClass("open")
		}
	});

	$(".header-nav .dropdownNav").parent().addClass("has-dropdown");	
	$(document).on('click', '.header-nav li.has-dropdown a', function(e) {		
		e.stopPropagation();
		if($(this).next('.dropdownNav').hasClass("open")){
			$(this).next('.dropdownNav').removeClass("open");
			$('#header').removeClass('primary');
			$('#menuBtn').removeClass('white');
			$('.header-nav li.has-dropdown a').removeClass('open');
	   }else{
			$('.dropdownNav').removeClass("open");
			$('.header-nav li.has-dropdown a').removeClass("open");
			$(this).next('.dropdownNav').addClass("open");
			$('#header').addClass('primary');
			$('#menuBtn').addClass('white');
			$(this).addClass('open');
	   }
	});
	
});

$(document).ready(function(){   
    $('.apply-job-btn').click(function(e){
        e.stopPropagation();        
        $('#job_apply_popup').show();        
    });
     $('#job_apply_popup .popup-close').click(function(){
        $('#job_apply_popup').hide();
    });
});

$(window).resize(function(){	
	onloadmethod();	  
});

function onloadmethod(){	
};
$(document).ready(function() {
    $('[data-fancybox]').fancybox({
        hash : false,
    });
});

$(document).ready(function() {    
    $(".area-details-row").hover(function() {
        // Add 'hover' class to the hovered element
        $(this).addClass('hover');
        
        // Remove 'hover' class from other elements
        $(".area-details-row").not(this).removeClass('hover');
    }, function() {
        // Add 'hover' class when mouse leaves
        $(this).addClass('hover');
    });
});


var maxLength = 550;
if( $(window).width() < 768 ) {
	maxLength = 571;
}
$(".show-read-more").each(function(){
	var myStr = $(this).html();
	if($.trim(myStr).length > maxLength){
		var newStr = myStr.substring(0, maxLength);
		var removedStr = myStr.substring(maxLength, $.trim(myStr).length);
		$(this).empty().html(newStr);
		$(this).append('<span class="more-text">' + removedStr + '</span>');
		$(this).find('.more-text').hide();		
	}
});
$(".read-more").click(function(){	
	$(".more-text").toggle();
	if ( $(this).find('span').text() == "Know More" ) {
		$(this).find('span').text('Know Less');
	} else {
		$(this).find('span').text('Know More');
	}
});

